/**
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author     Tobias Gröger ( tobias dot groeger at student dot kit dot edu )
 * @date       2022
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#pragma once

namespace armarx::navigation::human
{
    struct Human;
    struct HumanGroup;

    namespace arondto
    {
        struct Human;
        struct HumanGroup;

    } // namespace arondto

} // namespace armarx::navigation::human

namespace armarx::navigation::human
{
    void toAron(arondto::Human& dto, const Human& bo);
    void fromAron(const arondto::Human& dto, Human& bo);

    void toAron(arondto::HumanGroup& dto, const HumanGroup& bo);
    void fromAron(const arondto::HumanGroup& dto, HumanGroup& bo);

} // namespace armarx::navigation::human
